/*
 * ffproxy (c) 2002 Niklas Olmes <niklas.olmes@web.de> http://faith.eu.org
 * 
 * $Id: alloc.c,v 1.3 2002/07/25 12:24:10 niklas Exp $
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675
 * Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <stdlib.h>

#include "print.h"
#include "alloc.h"

void           *
my_alloc(size_t size)
{
	void           *p;

	if ((p = malloc(size)) == NULL)
		fatal("malloc() failed");

	return p;
}
